<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwGeneralPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwGeneralPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwGeneralPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="HwGeneralPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral</div>
<h2 title="Interface HwGeneralPackage.Literals" class="title">Interface HwGeneralPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwGeneralPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">HwGeneralPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#DUMMY">DUMMY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>dummy</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE">HW_RESOURCE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE__DESCRIPTION">HW_RESOURCE__DESCRIPTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Description</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE__END_POINTS">HW_RESOURCE__END_POINTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>End Points</b></em>' containment reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE__FREQUENCY">HW_RESOURCE__FREQUENCY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Frequency</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE__OWNED_HW">HW_RESOURCE__OWNED_HW</a></span></code>
<div class="block">The meta object literal for the '<em><b>Owned HW</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE__PHW_SERVICES">HW_RESOURCE__PHW_SERVICES</a></span></code>
<div class="block">The meta object literal for the '<em><b>PHW Services</b></em>' containment reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE__RHW_SERVICES">HW_RESOURCE__RHW_SERVICES</a></span></code>
<div class="block">The meta object literal for the '<em><b>RHW Services</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE_SERVICE">HW_RESOURCE_SERVICE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource Service</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE_SERVICE__CONSUMPTION">HW_RESOURCE_SERVICE__CONSUMPTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Consumption</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html#HW_RESOURCE_SERVICE__DISSIPATION">HW_RESOURCE_SERVICE__DISSIPATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Dissipation</b></em>' attribute feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="HW_RESOURCE_SERVICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_RESOURCE_SERVICE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource Service</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code>HwResourceServiceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html#getHwResourceService--"><code>HwGeneralPackageImpl.getHwResourceService()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__CONSUMPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__CONSUMPTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RESOURCE_SERVICE__CONSUMPTION</pre>
<div class="block">The meta object literal for the '<em><b>Consumption</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__DISSIPATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__DISSIPATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RESOURCE_SERVICE__DISSIPATION</pre>
<div class="block">The meta object literal for the '<em><b>Dissipation</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_RESOURCE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code>HwResourceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html#getHwResource--"><code>HwGeneralPackageImpl.getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__DESCRIPTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RESOURCE__DESCRIPTION</pre>
<div class="block">The meta object literal for the '<em><b>Description</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE__FREQUENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__FREQUENCY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RESOURCE__FREQUENCY</pre>
<div class="block">The meta object literal for the '<em><b>Frequency</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE__END_POINTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__END_POINTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_RESOURCE__END_POINTS</pre>
<div class="block">The meta object literal for the '<em><b>End Points</b></em>' containment reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE__PHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__PHW_SERVICES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_RESOURCE__PHW_SERVICES</pre>
<div class="block">The meta object literal for the '<em><b>PHW Services</b></em>' containment reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE__RHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__RHW_SERVICES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_RESOURCE__RHW_SERVICES</pre>
<div class="block">The meta object literal for the '<em><b>RHW Services</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE__OWNED_HW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__OWNED_HW</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_RESOURCE__OWNED_HW</pre>
<div class="block">The meta object literal for the '<em><b>Owned HW</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DUMMY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DUMMY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum DUMMY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>dummy</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code>dummy</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html#getdummy--"><code>HwGeneralPackageImpl.getdummy()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwGeneralPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="HwGeneralPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
